Page MenuHomeSolus

Update django to 2.2.6
ClosedPublic

Authored by maverick1 on Sep 5 2019, 12:13 PM.

Details

Summary

Update django to 2.2.6

Changelog

  • Fixed migrations crash on SQLite when altering a model containing partial indexes
  • Fixed a regression in Django 2.2.4 that caused a crash when filtering with a Subquery() annotation of a queryset containing JSONField or HStoreField
  • Relaxed the system check added in Django 2.2 for models to reallow use of the same db_table by multiple models when database routers are installed
  • Fixed crash of KeyTransform() for JSONField and HStoreField when using on expressions with params
  • Fixed a regression in Django 2.2 where ModelAdmin.list_filter choices to foreign objects don’t respect a model’s Meta.ordering
Test Plan

Created a django project and ran my previous ones too.

Diff Detail

Repository
R2575 python-django
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

maverick1 created this revision.Sep 5 2019, 12:13 PM
maverick1 requested review of this revision.Sep 5 2019, 12:13 PM

@kyrios123 Can you help me avoiding the test fail if I run tests from tests/runtests.py ?

@kyrios123 Can you help me avoiding the test fail if I run tests from tests/runtests.py ?

Perhaps you could provide the logs, that would be helpful ! 😉

@kyrios123 Can you help me avoiding the test fail if I run tests from tests/runtests.py ?

Perhaps you could provide the logs, that would be helpful ! 😉

test_permissions_error (template_tests.test_loaders.FileSystemLoaderTests) failed:

    AssertionError('OSError not raised',)

Unfortunately, tracebacks cannot be pickled, making it impossible for the
parallel test runner to handle this exception cleanly.

In order to see the traceback, you should install tblib:

    pip install tblib

Destroying test database for alias 'default'...
Destroying test database for alias 'default'...
Destroying test database for alias 'default'...
Destroying test database for alias 'default'...
Destroying test database for alias 'default'...
Destroying test database for alias 'other'...
Destroying test database for alias 'other'...
Destroying test database for alias 'other'...
Destroying test database for alias 'other'...
Destroying test database for alias 'other'...
multiprocessing.pool.RemoteTraceback: 
"""
Traceback (most recent call last):
  File "/usr/lib/python3.6/multiprocessing/pool.py", line 119, in worker
    result = (True, func(*args, **kwds))
  File "/home/build/YPKG/root/python-django/install/usr/lib/python3.6/site-packages/django/test/runner.py", line 309, in _run_subsuite
    result = runner.run(subsuite)
  File "/home/build/YPKG/root/python-django/install/usr/lib/python3.6/site-packages/django/test/runner.py", line 256, in run
    test(result)
  File "/usr/lib/python3.6/unittest/suite.py", line 84, in __call__
    return self.run(*args, **kwds)
  File "/usr/lib/python3.6/unittest/suite.py", line 122, in run
    test(result)
  File "/home/build/YPKG/root/python-django/install/usr/lib/python3.6/site-packages/django/test/testcases.py", line 271, in __call__
    super().__call__(result)
  File "/usr/lib/python3.6/unittest/case.py", line 653, in __call__
    return self.run(*args, **kwds)
  File "/usr/lib/python3.6/unittest/case.py", line 613, in run
    self._feedErrorsToResult(result, outcome.errors)
  File "/usr/lib/python3.6/unittest/case.py", line 541, in _feedErrorsToResult
    result.addFailure(test, exc_info)
  File "/home/build/YPKG/root/python-django/install/usr/lib/python3.6/site-packages/django/test/runner.py", line 202, in addFailure
    self.check_picklable(test, err)
  File "/home/build/YPKG/root/python-django/install/usr/lib/python3.6/site-packages/django/test/runner.py", line 130, in check_picklable
    self._confirm_picklable(err)
  File "/home/build/YPKG/root/python-django/install/usr/lib/python3.6/site-packages/django/test/runner.py", line 104, in _confirm_picklable
    pickle.loads(pickle.dumps(obj))
TypeError: can't pickle traceback objects
"""

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "tests/runtests.py", line 503, in <module>
    options.exclude_tags,
  File "tests/runtests.py", line 290, in django_tests
    extra_tests=extra_tests,
  File "/home/build/YPKG/root/python-django/install/usr/lib/python3.6/site-packages/django/test/runner.py", line 633, in run_tests
    result = self.run_suite(suite)
  File "/home/build/YPKG/root/python-django/install/usr/lib/python3.6/site-packages/django/test/runner.py", line 575, in run_suite
    return runner.run(suite)
  File "/usr/lib/python3.6/unittest/runner.py", line 176, in run
    test(result)
  File "/usr/lib/python3.6/unittest/suite.py", line 84, in __call__
    return self.run(*args, **kwds)
  File "/home/build/YPKG/root/python-django/install/usr/lib/python3.6/site-packages/django/test/runner.py", line 373, in run
    subsuite_index, events = test_results.next(timeout=0.1)
  File "/usr/lib/python3.6/multiprocessing/pool.py", line 735, in next
    raise value
TypeError: can't pickle traceback objects

Does it maybe need one of the python pickle packages we have in the repo?

maverick1 updated this revision to Diff 17523.Oct 3 2019, 12:20 PM

Bump to 2.2.6

maverick1 retitled this revision from Update django to 2.2.5 to Update django to 2.2.6.Oct 3 2019, 12:21 PM
maverick1 edited the summary of this revision. (Show Details)
JoshStrobl accepted this revision.Oct 11 2019, 2:49 PM

LGTM, thanks!

This revision is now accepted and ready to land.Oct 11 2019, 2:49 PM
This revision was automatically updated to reflect the committed changes.